%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  CERN fax class in latex2e format                               %
%                                                                 %
%  Version 2.2  (Nov. 26 1996 m.g.)                               %
%   Adapt to latex2e                                              %
%  Version 2.1  (July 4  1994 m.g.)                               %
%   Adapt to latex2e                                              %
%  Version 1.1  (Oct 16  1991 m.g.)                               %
%   Released Nov. 11th 1990 (Jowett+MG)                           %
%                                                                 %
%  Last Mod. Nov 26 1996 08.05   m.g.                             %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
\def\fileversion{2.2}
\def\filedate{1996/11/26}
\def\docdate {1996/11/26}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cernfax}[\filedate\space\fileversion\space CERN
                          fax class (mg).]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
\RequirePackage[dvips]{graphicx}
 
%-----------------------------------------------------------------------
% Define today's date in European format
\def\today{\number\day\space
     \ifcase\month\or
       January\or February\or March\or April\or May\or June\or
       July\or August\or September\or October\or November\or December\fi
     \space\number\year}
%-----------------------------------------------------------------------
 
%%%%%%%%%%%%%%%%%%%%% CERN header %%%%%%%%%%%%%%%%%%%%%%%%
% Vertical DIMENSION OF TEXT:
\setlength{\textheight}{240mm}
\setlength{\topmargin}{0mm}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
% Horizontal DIMENSION OF TEXT:
\setlength{\hoffset}{-1in}
\addtolength{\hoffset}{18mm}
\setlength{\textwidth}{210mm}   % the width of text is A4 - 2 * 1.8cm bandth
\addtolength{\textwidth}{-36mm}
% No margins
\setlength{\oddsidemargin}{0pt}
\evensidemargin \oddsidemargin
%
\mark{{}{}}   % Initializes TeX's marks
%
\newenvironment{faxcover}{% Start of faxcover environment
\def\faxfrom##1{\def\@faxfrom{##1}}\def\@faxfrom{}
\def\faxto##1{\def\@faxto{##1}}\def\@faxto{}
\def\phonefrom##1{\def\@phonefrom{##1}}\def\@phonefrom{}
\def\namefrom##1{\def\@namefrom{##1}}\def\@namefrom{}
\def\addressfrom##1{\def\@addressfrom{##1}}\def\@addressfrom{}
\def\nameto##1{\def\@nameto{##1}}\def\@nameto{}
\def\addressto##1{\def\@addressto{##1}}\def\@addressto{}
\def\date##1{\def\@date{##1}}\def\@date{\today}
\def\totalpages##1{\def\@totpag{##1}}\def\@totpag{1}}% Entry to environment
                         {% Exit of faxcover environment
%%%%%%%%%%%%%%%%%%%%  Start building page  %%%%%%%%%%%%%%%%%%%
\begin{flushleft}
\font\XXname = cmbx10  scaled \magstephalf
\font\YYname = cmss12
\begin{minipage}[t]{30mm}
\begin{flushleft}
\mbox{}\\[-5mm]
\includegraphics[width=21mm]{cern15}\\
\end{flushleft}
\end{minipage}\hspace*{-10mm}
\begin{minipage}[t]{110mm}
\makebox[100mm][l]{\begin{tabular}[t]{c}\ignorespaces
{\XXname EUROPEAN ORGANIZATION FOR NUCLEAR RESEARCH}\\
{\XXname ORGANISATION EUROP\'EENNE POUR LA RECHERCHE NUCL\'EAIRE}\\[1mm]
{\YYname Laboratoire Europ\'een pour la Physique des Particules}\\
{\YYname European Laboratory for Particle Physics}
\end{tabular}}
\end{minipage}\\[4mm]
{\rm Adresse postale~/~Postal address}:\\[1mm]
\YYname
\begin{tabular}{@{}l}
CERN \\
CH~-~1211 GEN\`EVE 23\\
Suisse (Switzerland)
\end{tabular}  \hfill
\begin{tabular}{@{}l}
CERN - Site de Pr\'evessin \\
F~-~01631 CERN CEDEX\\
France
\end{tabular} \\[8mm]
\end{flushleft}
\large
\begin{center}
\LARGE Telefax cover sheet / Page de couverture de t\'el\'ecopie\\[1em]
\end{center}
\begin{flushleft}
\large%
\begin{tabular}{@{}ll}\ignorespaces
To/\`A:       & \textbf{\@nameto}                        \\
              & \begin{tabular}[t]{@{}l}\ignorespaces
               \@addressto \end{tabular}                 \\
Fax:          & \@faxto                                  \\[1em]
From/De:      & \@namefrom                               \\
              & \begin{tabular}[t]{@{}l}\ignorespaces
               \@addressfrom \end{tabular}               \\
Fax:          & (022) \@faxfrom                          \\
Phone/T\'el.: & (022) \@phonefrom                        \\[1em]
Date:         & \@date                                   \\[1em]
\end{tabular}
\end{flushleft}
\begin{center}
Number of/Nombre de pages:\qquad \@totpag\qquad(cover/couverture incl.)\\[2em]
\end{center}
}%   Exit to faxcover environment
\endinput
