%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  CERN Letter style in LaTeX format                              %
%                                                                 %
%  Version 2.5  (Nov 26 1996 m.g.)                                %
%   Use of CERNLOGO instead of cern15.eps                         %
%  Version 2.4  (Nov 21 1996 m.g.)                                %
%   Back to CM fonts (OT1)                                        %
%  Version 2.3  (Oct  5 1995 m.g.)                                %
%   Protect \closing for empty or blank-only argument             %
%  Version 2.2  (Jan 11 1995 m.g.)                                %
%   Put in PS version of CERN Logo                                %
%   plus other optimizations                                      %
%  Version 2.1  (July 4 1994 m.g.)                                %
%   Adapt to latex2e                                              %
%  Version 1.1  (Oct 16 1991 m.g.)                                %
%   Released Nov. 11th 1990 (Jowett+MG)                           %
%                                                                 %
%  Last Mod. Jan 11 1995 20.30   m.g.                             %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
\def\fileversion{2.5}
\def\filedate{1996/11/26}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cernlett}[\filedate\space\fileversion\space CERN
                          letter class (mg).]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions
\LoadClass{letter}
 
%-----------------------------------------------------------------------
% Define today's date in European format
\def\today{\number\day\space
     \ifcase\month\or
       January\or February\or March\or April\or May\or June\or
       July\or August\or September\or October\or November\or December\fi
     \space\number\year}
%-----------------------------------------------------------------------
%[for VM] \voffset -17mm
% Vertical DIMENSION OF TEXT:
\setlength{\textheight}{270mm}
\setlength{\topmargin}{-17mm}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
% Horizontal DIMENSION OF TEXT:
\setlength{\hoffset}{-1in}
\addtolength{\hoffset}{18mm}
\setlength{\textwidth}{210mm}   % the width of text is A4 - 2 * 1.8cm band
\addtolength{\textwidth}{-39mm}
% No margins
\setlength{\oddsidemargin}{0pt}
\evensidemargin \oddsidemargin
%
\def\Emailvalue{}
\def\yourrefvalue{}
\def\ourrefvalue{}
\def\faxvalue{}
\def\phonevalue{}
\RequirePackage[]{graphicx}
%
% local definitions
\def\CERNhead{\setlength{\parindent}{\z@}%
% logo
\def\CERNstamp{\makebox[0mm][l]{%
                 \begin{tabular}{@{}l}
                   \mbox{}\\[1mm]
                   \includegraphics[width=21mm]{cern15}\\
                   \scriptsize\textsf{GEN\`EVE, SUISSE}\\[-4pt]
                   \scriptsize\textsf{GENEVA, SWITZERLAND}
                 \end{tabular}%
              }}%
%
\font\XXname = cmbx10  scaled \magstephalf
\font\YYname = cmss10  scaled \magstephalf
\font\ZZname = cmss12
%
\parbox{24mm}{\CERNstamp}\parbox{145mm}{\makebox[0mm][l]{%
        \begin{tabular}[t]{@{}c@{}}\ignorespaces
%\mbox{}\\[-7mm]
\XXname ORGANISATION EUROP\'EENNE POUR LA RECHERCHE NUCL\'EAIRE\\
\XXname EUROPEAN ORGANIZATION FOR NUCLEAR RESEARCH             \\[0.1cm]
\YYname Laboratoire Europ\'een pour la Physique des Particules \\
\YYname European Laboratory for Particle Physics
\end{tabular}}}
\thispagestyle{firstpage}
\begin{flushleft}\ignorespaces\scriptsize\sf
{\rm Adresse postale~/~Postal address {$\scriptscriptstyle^*$}}:\\[1.1\parskip]
{\ZZname CERN} \\[1mm]
{\ZZname CH~-~1211 GEN\`EVE 23} \\[0.8cm]
\makebox[32mm][l]{T\'el\'ephone~/~Telephone~:}\\
\hspace{8mm}\makebox[24mm][l]{Direct} +41\ 22\ \phonevalue\\
\hspace{8mm}\makebox[24mm][l]{General} +41\ 22\ 767\ 6111\\
%
\makebox[32mm][l]{T\'elex~/~Telex~:}{419000 CER CH}\\
%
\makebox[32mm][l]{T\'el\'ecopieur~/~Telefax~:}\\
\hspace{8mm}\makebox[24mm][l]{Direct} +41\ 22\ \faxvalue\\
\hspace{8mm}\makebox[24mm][l]{General} +41\ 22\ 767\ 6555\\
Electronic mail~:~\Emailvalue\\[5mm]
{\tiny\rm Votre r\'ef\'erence~/~Your reference~}\yourrefvalue\\
{\tiny\rm Notre r\'ef\'erence~/~Our reference~~}\ourrefvalue\\
\llap{\makebox[10mm][l]{\rule{3mm}{1pt}}}{\tiny ~}
\end{flushleft}}
%
\mark{{}{}}   % Initializes TeX's marks
%
% Definition of 'firstpage' page style.
%
\def\ps@firstpage{\let\@mkboth\@gobbletwo\def\@oddhead{}\def\@evenhead{}%
\def\@evenfoot{%
\hss{\scriptsize\rm $^*$Adresse pour le courrier post\'e en France:
CERN: Site de Pr\'evessin F-01631 CERN CEDEX}\hss}%
\let\@oddfoot=\@evenfoot}
\newdimen\longindentation
\longindentation=.51\textwidth
\newdimen\indentedwidth
\indentedwidth=\textwidth
\advance\indentedwidth -\longindentation
%
\def\name#1{\def\fromname{#1}}\def\fromname{}
\def\signature#1{\def\fromsig{#1}}\def\fromsig{}
\long\def\address#1{\def\fromaddress{#1}}\def\fromaddress{}
\def\location#1{\def\fromlocation{#1}}\def\fromlocation{}
\def\telephone#1{\def\phonevalue{#1}}\def\phonevalue{}
%
\def\electronicmail#1{\def\Emailvalue{#1}}\def\Emailvalue{}
%
\def\yourref#1{\def\yourrefvalue{#1}}   % to fill in slot on CERN letter
\def\yourrefvalue{}
%
% to fill in slot on CERN letter
\def\ourref#1{\def\ourrefvalue{#1}}\def\ourrefvalue{}
%
% to fill in another slot
\def\faxdirect#1{\def\faxvalue{#1}}\def\faxvalue{}
%
\def\attention#1{\def\attentionvalue{#1}}\def\attentionvalue{}
%
\def\subject#1{\def\subjectvalue{#1}} \def\subjectvalue{}
%
\def\CERNlabel{
\par\noindent\hspace*{100mm}
\raisebox{68mm}[0mm][0mm]{\normalsize\sf\begin{tabular}[t]{l}\ignorespaces
\toname\\
\toaddress
\end{tabular}
}}
%
% Define \opening according to explanation given in the LaTeX file
% letter.doc and to produce the material at the top of a CERN letter.
% But first we have to get rid of that stretchy stuff at the very top.
\def\@texttop{\ifnum\c@page=1\vskip 0pt plus 0pt\relax\fi}
%
% AS rewritten
\def\opening#1{\typeout{inside opening\space#1---}
  \newpage\thispagestyle{empty}\CERNhead\CERNlabel
  \vspace{-2cm}
  \begin{center}
    \ifx\@empty\attentionvalue\else{\sl Attention: \attentionvalue}\fi
    \hfill\@date{}\\
    \ifx\@empty\subjectvalue\else{\sl\subjectvalue}\fi
\end{center}\par#1\par\nobreak}
%
\long\def\closing#1{\par\nobreak\vspace{\parskip}%
   \stopbreaks\noindent\hspace*{.5\linewidth}%
  \parbox{\indentedwidth}{\raggedright
       \ignorespaces #1\ \\[6\medskipamount]%include forced blank at end
       \fromsig}\par\vspace{2\parskip}}
%
%AS generalized \cc, \encl, etc..
\def\dist#1#2{\par\noindent
\parbox[t]{\textwidth}{\@hangfrom{\sf #1}\ignorespaces #2\strut}\par}
%
\def\ps#1{\dist{P.S. }{#1}}
\def\cc#1{\dist{cc: }{#1}}
\def\encl#1{\dist{Encl.: }{#1}}
 
\endinput
