%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                    %
% LaTeX style file for CERN minutes and agendas                      %
%                                                                    %
% The following commands are available:                              %
%  \Title{...}   Title for putting at top of front page              %
%  \Stitle{...}  Secondary title for putting as running head         %
%  \Those{..}{..}  First parameter text in front, then contents      %
%    There can be several Those blocks.                              %
%    Inside a Those block you can format the lines using \\          %
%  \date{..}  if specified use that date,  else \today               %
% One also needs \begin{document} and \end{document}                 %
%                                                                    %
% - Original for latex 2.09 1991       1.1                           %
% - Version for latex2e     July 1994  2.1                           %
%                                                                    %
% Michel Goossens / CN-AS                                            %
%                                                                    %
% Last Mod.:  8 July    1994  m.g.  20:45  (Version 2.1)             %
%                                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
%%
\def\fileversion{2.1}
\def\filedate{1994/07/08}
\def\docdate {1994/07/08}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cernmins}[\filedate\space\fileversion\space CERN
                          cernmins class (mg).]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
 
% Define page layout parameters for A4 paper
 
\setlength{\hoffset}{-5mm}
\setlength{\voffset}{-15mm}
\setlength{\textwidth}{17cm}
\setlength{\oddsidemargin}{0mm}
\setlength{\evensidemargin}{0mm}
\setlength{\textheight}{25cm}
\setlength{\parindent}{0.0cm}
\setlength{\parskip}{0.5cm}
\setlength{\topmargin}{0pt}
\setlength{\headheight}{10mm}
\setlength{\headsep}{4mm}
\setlength{\footskip}{1mm}
 
% Default for date is \today unless other date specified with \date
\def\today{\ifx\@empty\printdate\number\day\space\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\year
\else \printdate\fi}
 
\def\Title#1{\def\Printtit{#1}%
\begin{center}
{\fontfamily{cmss}\bfseries\selectfont\Large#1}\\[8mm]
\end{center}}
\def\Stitle#1{\def\Printstit{#1}}\Stitle{}%
\def\Printtit{Minutes}
\def\Those#1#2{%
\begin{list}{}{\settowidth{\labelwidth}{Present:\quad}
  \setlength{\leftmargin}{\labelwidth}% set global width
  \renewcommand{\makelabel}[1]{##1:\hfil}}
\item[#1]#2\end{list}}
\def\date#1{\def\printdate{#1}}
\def\printdate{}
\def\ps@headings{%
\def\@oddhead{\hss\vbox{\hsize\textwidth%
\hbox to \textwidth{\sl\Printtit\hfil \Printstit}%
\hbox to \textwidth{\sl\today\hfil page \thepage}%
\vskip4pt \hrule}\hss}%
\def\@oddfoot{}}
\def\ps@empty{%
\def\@oddhead{}\def\@oddfoot{}\def\@evenhead{}\def\@evenfoot{}}
\def\ps@plain{\def\@oddhead{}
\def\@oddfoot{\rm\hfil\thepage\hfil}\def\@evenhead{}
\let\@evenfoot\@oddfoot}
\pagestyle{headings}
\thispagestyle{empty}
\endinput
