%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                 %
%  CERN Memo style in LaTeX format                                %
%                                                                 %
%  Version 4.1  (July 4 1994 m.g.)                                %
%   Adapt to latex2e                                              %
%  Version 3.1  (Mar 26 1992 m.g.)                                %
%   Is now based on article sty                                   %
%  Version 2.1  (Oct 16 1991 m.g.)                                %
%   Introduce counters for section... (forgotten)                 %
%   Protect for NFSS (not newfont)                                %
%  Version 1.1  (Oct 16 1991 m.g.)                                %
%   Released Nov. 11th 1990                                       %
%                                                                 %
%  Last Mod. Jul  4 1994 10.30   m.g.                             %
%                                                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
\def\fileversion{1.1}
\def\filedate{1994/07/19}
\def\docdate {1994/07/19}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ucoflyer}[\filedate\space usoflyer class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
 
\typeout{Document Style `usoflyer 1.0  04 July 1994 (mg).}
%it uses the following info
%   \Number{..}  flyer number
%   \Version{..} version number
%   \date{..}    if specified used in the date area, else the current date is used
 
\headheight4mm  \headsep6mm \footskip8mm
\hoffset-5mm\voffset-15mm
\marginparwidth 0pt \oddsidemargin  0pt \evensidemargin  0pt
\marginparsep 0pt \topmargin   0pt \textwidth17cm \textheight25cm
 
\raggedbottom
 
\parskip .4em \parindent 0pt \topsep .4em \partopsep 0pt
 
\def\Title#1{\begin{center}\underline{\large\bf #1}\end{center}}

\def\today{\ifx\@empty\printdate\number\day\space\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\year
\else \printdate\fi}
 
\def\@Number{}
\def\Number#1{\def\@Number{#1}}
\def\@Version{Version }
\def\Version#1{\def\@Version{Version #1}}
\def\date#1{\def\printdate{#1}}
 
\pagestyle{empty}

\renewcommand{\maketitle}{%
\begin{flushright}
\@Number\\
\@Version\\
\today\\[1cm]
\end{flushright}
}
 
\endinput



