%  CERN SL Division SL MD Note style in LaTeX format                
%
%  Version 1.0  (14/2/95)  JMJ
%  Adapted to latex2e from the old slmdnote.sty, just a rather minor
%  modification of 12pt article class.
%
%  Last Modification: 14/2/95
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
\def\fileversion{1.0}
\def\filedate{1995/02/14}
\def\docdate {1995/02/14}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{slmdnote}[\filedate\space slmdnote class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions

\LoadClass[12pt]{article}
\RequirePackage{a4}
 
\typeout{Document Style `slmdnote' 1.0  14 February 1995}
%it uses the following info
%   \typist{..}  (may be filename) printed at top left of title page
%   \title{..}   
%   \author{..}
%   \date{..}  optional
%   \documentlabel{..}  printed at top right of title page

% You also need to use \begin{document} and \end{document}


\def\section{\@startsection {section}{1}{\z@}{-3.5ex plus -1ex minus
    -.2ex}{2.3ex plus .2ex}{\sffamily\bfseries\Large}}
 
\def\subsection{\@startsection{subsection}{2}{\z@}{-3.25ex plus -1ex minus
   -.2ex}{1.5ex plus .2ex}{\sffamily\bfseries\large}}
 
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex plus
 -1ex minus -.2ex}{1.5ex plus .2ex}{\sffamily\bfseries\normalsize}}
 
\def\paragraph{\@startsection
   {paragraph}{4}{\z@}{-2.25ex plus 1ex minus .2ex}{1em}{\normalsize\sffamily}}
% Sign changes for BEFORE&AFTERSKIP  at 15:09:43 on 30 Nov 1987 by JOWETT
% Makes unnumbered headings without running in to text (subparagraph will
% still do that for you).
 
\def\subparagraph{\@startsection
     {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus .2ex}
     {-1em}{\normalsize\sffamily}}
 
 
% The value of the counter secnumdepth gives the depth of the
% highest-level sectioning command that is to produce section numbers.
%
 
\setcounter{secnumdepth}{3}
 
%-----------------------------------------------------------------------
% Use same font series in contents
\def\l@section#1#2{\addpenalty{\@secpenalty}  % good place for page break
   \addvspace{1.0em plus 1pt}  % space above toc entry
   \@tempdima 1.5em            % width of box holding section number
   \begingroup
     \parindent \z@ \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     \sffamily\bfseries                  % Bold sans serif
%%                         Modified at 17:10:02 on 29 Mar 1989 by JOWETT
     \leavevmode          % TeX command to enter horizontal mode.
     #1\hfil \hbox to\@pnumwidth{\hss #2}\par
   \endgroup}
%-----------------------------------------------------------------------
% Change label style in description environment
\def\descriptionlabel#1{\hspace\labelsep \sffamily\bfseries #1}
%-----------------------------------------------------------------------
% The abstract Environment (actually generates a Summary)
 
\def\abstract{\subsection*{Summary}\small\sffamily}
\def\endabstract{\par\noindent\rule{\textwidth}{1pt}
                 \vskip 2ex}
 
%-----------------------------------------------------------------------
% fancy double line
 
\def\fancyline{\par\noindent
               \parbox{\textwidth}{
               \setlength{\baselineskip}{1.2mm}
               \rule{\textwidth}{0.5pt}
               \rule{\textwidth}{1pt}\par
              }}
%-----------------------------------------------------------------------
 
\def\@maketitle{\newpage%
                % Here we put the document label, typists name and file
                % name at top right. Defaults are an
                % empty box for typist and "Preliminary draft" with
                % time of day and date for the label.  Tabular
                % environments are used to allow for the possibility
                % of multiple line document labels - lines separated
                % by \\ in the argument of \documentlabel - and
                % multiple line typists (which could have other uses).
         {\setlength{\arrayrulewidth}{1pt}
          \setlength{\parindent}{0pt}
          \begin{flushright}\framebox{\@documentlabel}\\[2ex]
          \end{flushright}
          \begin{tabular}[t]{@{}p{0.6\textwidth}}
                 {\sffamily\bfseries\Large\raggedright\hyphenpenalty=10000
                  \@title
                 }\\[3ex]
                 {\large\sffamily\raggedright\hyphenpenalty=10000
                  \@author
                 }\\[2ex]
          \end{tabular}\hfill\begin{tabular}[t]{r@{}}
                               {\normalsize\sffamily\@date}\\
                               \hline
                               {\tiny\@typist}\\
                               {\tiny\mbox{}}
                             \end{tabular}\\[1.2ex]
           \footnotesize\sffamily Keywords:
           \parbox[t]{0.5\textwidth}{\raggedright\hyphenpenalty=10000
                                     \footnotesize\sffamily\@keywords
                                    }
           \hfill
           \@runnumbers
         }
         \vskip 1ex
         \fancyline\vskip 1.5ex
        }
 
%------------------------------------------------------------------------
% compute the time in hours and minutes; make new variables \timehh and \timemm
%%                            Added at 11:19:59 on 26 Sep 1988 by JOWETT
%
\newcount\timehh\newcount\timemm
\timehh=\time
\divide\timehh by 60 \timemm=\time
\count255=\timehh\multiply\count255 by -60 \advance\timemm by \count255
%
\def\timeofday{\ifnum\timehh<10 0\fi\number\timehh:%
               \ifnum\timemm<10 0\fi\number\timemm
               }
 
\def\documentlabel#1{\gdef\@documentlabel{\sffamily\bfseries SL-MD Note #1}}
                                          % see \@maketitle
\gdef\@documentlabel{\tt Preliminary draft\ \timeofday\ \today}
 
\def\typist#1{\gdef\@typist{#1}}          % see \@maketitle
\gdef\@typist{\hbox{}}
 
\def\keywords#1{\gdef\@keywords{#1}}          % see \@maketitle
 
\gdef\@keywords{{\tt Please supply some suitable keywords!}}
 
\def\runnumbers#1{\gdef\@runnumbers{\footnotesize\sffamily
                                    \begin{tabular}[b]{@{}r|r@{}}
                                       Run no.&Date\\
                                       \hline
                                       #1%
                                    \end{tabular}
                                   }
                 }
% see \@maketitle
\gdef\@runnumbers{No run numbers specified.}
 
% The \documentlabel, \typist, \keywords and \runnumbers
% commands do not exist in ordinary LaTeX.
 
 
\endinput
